<app-loader *ngIf="isLoading"></app-loader>
<app-navbar></app-navbar>
<div class="grid-container">
  <h1 class="mat-h1">Dashboard - {{ user?.local?.username }}</h1>
</div>
<mat-card class="mat-elevation-z2" style="margin: 5px">
  <mat-card-header>
    <button (click)="createProject()" mat-button>
      <mat-icon>add</mat-icon>
      Create project
    </button>
    <button (click)="importProject()" mat-button>
      <mat-icon>download</mat-icon>
      Export project
    </button>
  </mat-card-header>
  <br />
  <mat-divider></mat-divider>
  <br />
  <mat-card-content>
    <div class="mat-elevation-z2" *ngFor="let project of (projects | async)" style="margin-bottom: 10px; border: solid rgba(166, 173, 180, .7) 1px; padding: 5px;">
      <h1>
        {{ project.title }}
      </h1>
      <p style="font-weight: bold; text-align: center">
        {{ project.investor.length + " investor(s)" }}
      </p>
      <h5 title="Category">
        {{ project?.category?.name }}
      </h5>
      <hr />
      <quill-view-html [content]="project.info" theme="snow"></quill-view-html>
      <button (click)="editProject(project)" color="accent" mat-button style="width: 50%">
        <mat-icon>edit</mat-icon>
        Edit
      </button>
      <button (click)="deleteProject(project)" color="warn" mat-button style="width: 50%">
        <mat-icon>delete</mat-icon>
        Delete
      </button>
      <hr />
      <app-card-comment [comments]="project.comments"></app-card-comment>
    </div>
  </mat-card-content>
</mat-card>
